Ryzehosting
  1. server
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. server

ipaddresses

GET
server/ipaddresses

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/server/ipaddresses' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "uuid": "019b6d45-ee97-8a08-9818-fa44519127b6"
}'
Response Response Example
200 - Success
{
    "response": "IP addresses retrieved successfully",
    "state": "success",
    "code": 200,
    "data": {
        "uuid": "019b6d45-ee97-8a08-9818-fa44519127b6",
        "vmid": 2162,
        "ipv4_addresses": [
            {
                "ip": "5.175.140.55",
                "gateway": "5.175.140.1",
                "cidr": 24,
                "rdns": "static.55.140.175.5.clients.ryzehosting.com",
                "descr": null,
                "is_primary": 1,
                "ddos_protection": "PLETX"
            },
            {
                "ip": "5.175.140.57",
                "gateway": "5.175.140.1",
                "cidr": 24,
                "rdns": "static.57.140.175.5.clients.ryzehosting.com",
                "descr": null,
                "is_primary": 0,
                "ddos_protection": "PLETX"
            },
            {
                "ip": "5.175.140.71",
                "gateway": "5.175.140.1",
                "cidr": 24,
                "rdns": "static.71.140.175.5.clients.ryzehosting.com",
                "descr": null,
                "is_primary": 0,
                "ddos_protection": "PLETX"
            },
            {
                "ip": "5.175.140.72",
                "gateway": "5.175.140.1",
                "cidr": 24,
                "rdns": "static.72.140.175.5.clients.ryzehosting.com",
                "descr": null,
                "is_primary": 0,
                "ddos_protection": "PLETX"
            },
            {
                "ip": "5.175.140.73",
                "gateway": "5.175.140.1",
                "cidr": 24,
                "rdns": "static.73.140.175.5.clients.ryzehosting.com",
                "descr": null,
                "is_primary": 0,
                "ddos_protection": "PLETX"
            }
        ],
        "ipv6_addresses": [
            {
                "ip": "2a06:1283:8d00:013c::/64",
                "gateway": "2a06:1283:8d00::1",
                "cidr": 40,
                "rdns": null,
                "descr": null,
                "is_primary": 1
            },
            {
                "ip": "2a06:1283:8d00:014c::/64",
                "gateway": "2a06:1283:8d00::1",
                "cidr": 40,
                "rdns": null,
                "descr": null,
                "is_primary": 0
            },
            {
                "ip": "2a06:1283:8d00:014d::/64",
                "gateway": "2a06:1283:8d00::1",
                "cidr": 40,
                "rdns": null,
                "descr": null,
                "is_primary": 0
            },
            {
                "ip": "2a06:1283:8d00:0158::/64",
                "gateway": "2a06:1283:8d00::1",
                "cidr": 40,
                "rdns": null,
                "descr": null,
                "is_primary": 0
            }
        ],
        "primary_ipv4": {
            "ip": "5.175.140.55",
            "gateway": "5.175.140.1",
            "cidr": 24,
            "rdns": "static.55.140.175.5.clients.ryzehosting.com",
            "descr": null,
            "is_primary": 1,
            "ddos_protection": "PLETX"
        },
        "primary_ipv6": {
            "ip": "2a06:1283:8d00:013c::/64",
            "gateway": "2a06:1283:8d00::1",
            "cidr": 40,
            "rdns": null,
            "descr": null,
            "is_primary": 1
        }
    }
}
Modified at 2025-12-30 03:59:14
Previous
list
Next
password
Built with